//* AUTHOR:  Sarah D Groulx	LAST MODIFIED: June 30th, 1998
{
//* Reset  root memory and load ATLFAST libraries
   gROOT->Reset();
   gROOT->Macro("$ATLFAST/loadlibs");
 
//* Create main object to run atlfast

  ATLFast atlfast("atlfast");     

//* load user's dynamic librar

  gSystem->Load("libUser.so");    


//* Connect file generated by User_main_W.C

   TFile *file = new TFile("htree.root");
 
//* Create four useful histograms 

   TH1F *h1 = new TH1F("h1","Child Particle Code",39,-19.5,19.5);
   TH1F *h2 = new TH1F("h2","Child Pt",120,0,120);
   TH1F *h3 = new TH1F("h3","Muon Pt",120,0,120);
   TH1F *h4 = new TH1F("h4","W Particle Code",101,-50.5,50.5);

//* Variables needed to calculate transverse momentum.

   Float_t Px;
   Float_t Py;
   Float_t Pt;

//* Create a User instance to access User functions
 
   User *myuser = new User;

//* Set the branch to loop over to be "Wplus_Branch" (title set in
//* User_main_W.C)

   TBranch *branch2  = Tree.GetBranch("Wplus_Branch");
   branch2->SetAddress(&myuser);

//* Now get the number of events in the tree

   Int_t nevent = Tree.GetEntries();

//* Start main loop on all events

   for (Int_t i=0;i<nevent;i++) 
      {
//* Read complete accepted event in memory

      Tree.GetEvent(i);            

//* Fill histograms with Wplus information.
      h1->Fill(myuser->CurrentFirstChild()->GetKF());  
      h1->Fill(myuser->CurrentSecondChild()->GetKF());  

      Px=myuser->CurrentFirstChild()->GetPx();  
      Py=myuser->CurrentFirstChild()->GetPy();  
      Pt=sqrt(Px*Px+Py*Py);

      h2->Fill(Pt);  

      if (abs(myuser->CurrentFirstChild()->GetKF())==13)
        h3->Fill(Pt);

      Px=myuser->CurrentSecondChild()->GetPx();  
      Py=myuser->CurrentSecondChild()->GetPy();  
      Pt=sqrt(Px*Px+Py*Py);

      h2->Fill(Pt);  

      if (abs(myuser->CurrentFirstChild()->GetKF())==13)
        h3->Fill(Pt);

      h4->Fill(myuser->CurrentParticle()->GetKF());  

   }
//* Set the branch to loop over to be "Wminus_Branch" (title set in
//* User_main_W.C)

   TBranch *branch1  = Tree.GetBranch("Wminus_Branch");
   branch1->SetAddress(&myuser);

//* Now get the number of events in the tree

   Int_t nevent = Tree.GetEntries();

//* Start main loop on all events

   for (Int_t i=0;i<nevent;i++) 
      {
//* Read complete accepted event in memory

      Tree.GetEvent(i);            

//* Fill histograms with Wminus information.
      h1->Fill(myuser->CurrentFirstChild()->GetKF());  
      h1->Fill(myuser->CurrentSecondChild()->GetKF());  

      Px=myuser->CurrentFirstChild()->GetPx();  
      Py=myuser->CurrentFirstChild()->GetPy();  
      Pt=sqrt(Px*Px+Py*Py);

      h2->Fill(Pt);  

      if (abs(myuser->CurrentFirstChild()->GetKF())==13)
        h3->Fill(Pt);

      Px=myuser->CurrentSecondChild()->GetPx();  
      Py=myuser->CurrentSecondChild()->GetPy();  
      Pt=sqrt(Px*Px+Py*Py);

      h2->Fill(Pt);  

      if (abs(myuser->CurrentFirstChild()->GetKF())==13)
        h3->Fill(Pt);

      h4->Fill(myuser->CurrentParticle()->GetKF());  

   }
//*  Draw the histograms on one canvas.

   TCanvas *c1 = new TCanvas("c1"," ",200,10,600,480);
   c1->Divide(2,2);
   c1->cd(1);  h1->Draw(); 
   c1->cd(2);  h2->Draw();
   c1->cd(3);  h3->Draw();
   c1->cd(4);  h4->Draw();

}
