#include <TMCParticle.h>
#ifndef User_H
#define User_H

//* AUTHOR: Sarah D. Groulx  	LAST MODIFIED: June 30th, 1998

//* This is the User class.  These functions are all called from
//* User_main.C

class User {

  protected:

//*  These are the data members.  particle stores the information of the
//* desired particle in the event.  child1 and child2 store the
//* information of the first two decay particles of particle.

   TMCParticle *particle;
   TMCParticle *child1;
   TMCParticle *child2;

  public:
                User();  //This is a dummy constructor.
   void         Init();  //Tree and Branches are created here.
   void         Filter(Int_t&); //Dummy routing for filtering data.
   void         SetRunParameters();  //Set Pythia Cards, Seed,
                                    // Hadronization Mode and ClusterMaker
   void         SetMakerParameters(); //Set Muon Smearing Option
   void         GetParticle(Int_t, Int_t, Int_t&);//Finds a Particle
   void         GetChildren(Int_t, Int_t&, Int_t&);//Finds children of 
  						  // a particle
   TMCParticle* CurrentParticle(); //returns particle
   TMCParticle* CurrentFirstChild(); //returns child1
   TMCParticle* CurrentSecondChild(); //returns child2

ClassDef(User,1)
};
#endif //User


